local  Pastry = foundation.createMod();

-- Apply building asset processor
Pastry:registerAssetProcessor("models/henhouse.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Pastry:registerAssetProcessor("models/creamery.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Pastry:registerAssetProcessor("models/pastry.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

_PastryPrefix = "PV3"
_CommonEgg = "BV1_EGG"

-- Resources and their assets (icons)
Pastry:dofile("scripts/resources.lua")
Pastry:dofile("scripts/jobs.lua")
-- workplace
Pastry:dofile("scripts/henhouse.lua")
Pastry:dofile("scripts/creamery.lua")
Pastry:dofile("scripts/pastry.lua")
